Package org.apache.storm.localizer

# Enum Class LocallyCachedTopologyBlob.TopologyBlobType

java.lang.Object
java.lang.Enum<LocallyCachedTopologyBlob.TopologyBlobType>
org.apache.storm.localizer.LocallyCachedTopologyBlob.TopologyBlobType

All Implemented Interfaces:
  `Serializable`, `Comparable<LocallyCachedTopologyBlob.TopologyBlobType>`, `Constable`

Enclosing class:
  LocallyCachedTopologyBlob

public static enum LocallyCachedTopologyBlob.TopologyBlobType extends Enum<LocallyCachedTopologyBlob.TopologyBlobType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `TOPO_CODE`
  `TOPO_CONF`
  `TOPO_JAR`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getExtractionDir()`
  `String`
  `getFileName()`
  `String`
  `getKey(String topologyId)`
  `String`
  `getTempExtractionDir(long version)`
  `String`
  `getTempFileName(long version)`
  `String`
  `getVersionFileName()`
  `boolean`
  `needsExtraction()`
  `static LocallyCachedTopologyBlob.TopologyBlobType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static LocallyCachedTopologyBlob.TopologyBlobType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### TOPO_JAR

    public static final LocallyCachedTopologyBlob.TopologyBlobType TOPO_JAR

  - ### TOPO_CODE

    public static final LocallyCachedTopologyBlob.TopologyBlobType TOPO_CODE

  - ### TOPO_CONF

    public static final LocallyCachedTopologyBlob.TopologyBlobType TOPO_CONF

- ## Method Details

  - ### values

    public static LocallyCachedTopologyBlob.TopologyBlobType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static LocallyCachedTopologyBlob.TopologyBlobType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getFileName

    public String getFileName()

  - ### getTempFileName

    public String getTempFileName(long version)

  - ### getVersionFileName

    public String getVersionFileName()

  - ### getKey

    public String getKey(String topologyId)

  - ### needsExtraction

    public boolean needsExtraction()

  - ### getExtractionDir

    public String getExtractionDir()

  - ### getTempExtractionDir

    public String getTempExtractionDir(long version)